# $Revision: 1.18 $, $Date: 2010/07/08 08:34:01 $

%define 	module	pypar

Summary:	pypar - Parallel Programming in the spirit of Python!
Summary(pl.UTF-8):	pypar - programowanie równoległe w duchu Pythona
Name:		python-%{module}
Version:	1.9.3
Release:	6
License:	GPL
Group:		Libraries/Python
Source0:	http://datamining.anu.edu.au/~ole/pypar/%{module}_%{version}.tgz
# Source0-md5:	7039dc549acd1db9806e7510c8eb93dc
Patch0:		%{name}-build.patch
URL:		http://datamining.anu.edu.au/~ole/pypar/
BuildRequires:	mpi
BuildRequires:	python-Numeric-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-numarray-devel
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pypar is an efficient but easy-to-use module that allows
programs/scripts written in the Python programming language to run in
parallel on multiple processors and communicate using message passing.
Pypar provides bindings to an important subset of the message passing
interface standard MPI.

%description -l pl.UTF-8
Pypar to sprawny, lecz łatwy w użyciu moduł pozwalający programom i
skrtyptom napisanym w języku programowania Python działać równolegle
na wielu procesorach i komunikować się przy użyciu przekazywania
komunikatów. Pypar udostępnia dowiązania do istotnego podzbioru
standardu interfejsu przekazywania komunikatów MPI.

%package examples
Summary:	Example programs for Python pypar module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pypar
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pypar module.

%description examples -l pl.UTF-8
Pakiet zawierający programy przykładowe dla modułu Pythona pypar.

%prep
%setup -q -n %{module}_%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitedir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOC FAQ README
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pypar.spec,v $
Revision 1.18  2010/07/08 08:34:01  arekm
- release 6

Revision 1.17  2008/10/19 09:45:01  arekm
- release 5

Revision 1.16  2008/10/14 06:42:44  arekm
- release 4

Revision 1.15  2008/10/03 17:58:44  arekm
- release 3

Revision 1.14  2007-09-04 16:20:48  qboosh
- python 2.5 for .egg-info
- BR: rpm-pythonprov

Revision 1.13  2007/09/04 15:12:50  baggins
- rel 2

Revision 1.12  2007/09/04 14:34:19  baggins
- fix build (missing dir in setup.py)

Revision 1.11  2007/09/04 14:17:42  baggins
- 1.9.3

Revision 1.10  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.8  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.7  2006/07/18 09:05:13  qboosh
- python-numpy -> python-Numeric

Revision 1.6  2006/05/12 06:01:11  qboosh
- pl

Revision 1.5  2006/05/04 17:54:10  baggins
- rel 3
- fixed BR

Revision 1.4  2006/05/04 17:25:34  baggins
- rel 2
- BR mpi

Revision 1.3  2006/05/04 17:02:53  baggins
- release 1
- works

Revision 1.2  2006/05/04 14:09:07  baggins
- not noarch
- added BRs
- fixed install
- builds

Revision 1.1  2006/05/04 13:55:42  baggins
- initial revision
